from isaaclab.assets import AssetBaseCfg
from isaaclab.sim.spawners.from_files.from_files_cfg import UsdFileCfg
from isaaclab.sim.schemas.schemas_cfg import CollisionPropertiesCfg
from mindbot.utils.assets import MINDBOT_ASSETS_DIR


TABLE_CFG = AssetBaseCfg(
    # prim_path="{ENV_REGEX_NS}/Table",
    init_state=AssetBaseCfg.InitialStateCfg(
        pos=[1.95, -0.3, 0.005],
        rot=[0.7071, 0.0, 0.0, -0.7071],
    ),
    spawn=UsdFileCfg(
        usd_path=f"{MINDBOT_ASSETS_DIR}/sences/Table_C_coll/Table_C.usd",
        collision_props=CollisionPropertiesCfg(collision_enabled=True),
    ),
)